Flutter开发环境搭建Mac版

由于我公司使用的是Mac电脑,但家里是windows。所以这篇文章没有视频,但我会写的尽量详细。希望你能通过阅读文章,也能在mac上搭建起Flutter环境。照着这篇文章配置时,你最好自备了梯子,否则不保证能顺利完成。

系统环境要求

因为Flutter是新出的框架,所以对系统还是有一定的要求的。

  • MacOS (64-bit)
  • 磁盘空间:大于700M,如果算上Android Studio等编辑工具,尽量大于3G。
  • 命令号工具:bash、mkdir、rm、git、curl、unzip、which、brew 这些命令在都可以使用。

注意:一般你会在brew这个命令没有下载而载坑,很多mac系统都没有安装这个,你可以进行安装,因为这个和本知识关系性不大,所以我就不写流程了,如果你出现问题,直接点击链接学习安装就可以了。

学习安装brew:segmentfault.com/a/119000001…

下载Flutter SDK包

这里推荐去官网下载就好,我挂了梯子,速度并不慢。

网址:flutter.io/setup-macos…

进入网址后,向下拖拽一下,然后看到图片中的内容,点击红框处就可以下载了。

 

alt

 

 

如果你这也感觉麻烦,那可以直接点击下面的链接:

点击直接下载:storage.googleapis.com/flutter_inf…

这个会随着版本的升级,而失效,所以不建议使用。

配置环境变量

压缩包下载好以后,找个位置进行解压。这个位置很重要,因为下面配置环境变量的时候要用到。比如你配置到了根目录下的app文件夹。

1.打开终端工具(这个我就不用写了吧),使用vim进行配置环境变量,命令如下:

vim ~/.bash_profile
复制代码

在打开的文件里增加一行代码,意思是配置flutter命令在任何地方都可以使用。

export PATH=/app/flutter/bin:$PATH
复制代码

提示:这行命令你要根据你把压缩包解压的位置来进行编写,写的是你的路径,很有可能不跟文章一样。

配置完成后,需要用source命令重新加载一下 ,具体命令如下:

source ~/.bash_profile
复制代码

完成这部以后,就算我们flutter的安装工作完成了,但是这还不能进行开发。可以使用命令来检测一下,是否安装完成了。

flutter -h
复制代码

出现下面的结果,说明到目前为止,我们安装一切顺利。

 

alt

 

 

检查开发环境

到上边为止,我们安装好了Flutter,但是还不具备开发环境。开发还需要很多软件和插件的支持,那到底需要哪些插件和软件那?我们可以使用Flutter为我们提供的命令来进行检查:

flutter doctor
复制代码

 

alt

 

 

如果你英文很好,你应该可以很容易读出上面的检测结果,有很多条目都没有通过。需要我们安装检测结果一条条进行安装,直到满足开发环境。(如果有[!]x标志,表示本行检测没有通过,就需要我们设置或者安装相应的软件了。)

有可能你的Android studio也没有安装,那么你要先安装这个编辑器,安装好后,可以顺便下载Android SDK。

Android Studio下载地址:www.android-studio.org/

打开后选择对应的Mac版本,如下图(随着网站的改版,可能略有不同)

 

alt

 

 

下载Android SDK的时候,记得搭上梯子,否则你会等到天荒地老(祝君一切顺利)。

如果你有安装,那么第一步要作的是允许协议(android-licenses)。允许方法就是在终端运行如下命令:

flutter doctor --android-licenses
复制代码

然后让你输入Y/N的时候,一路Y就可以了(至于啥意思,我也没仔细看,大概就和安装软件的下一步下一步是一样的,你按N是不能成功的)。

这不完成后,我们再使用flutter doctor进行检测后,会看到还是有很多x。大概如下:

  To install, run:
    brew install --HEAD libimobiledevice
    brew install ideviceinstaller
✗ ios-deploy not installed. To install:
    brew install ios-deploy
✗ CocoaPods not installed.
    CocoaPods is used to retrieve the iOS platform side's plugin code that responds to your plugin usage on the Dart side.
    Without resolving iOS dependencies with CocoaPods, plugins will not work on iOS.
    For more info, see https://flutter.io/platform-plugins
  To install:
    brew install cocoapods
    pod setup
复制代码

其实大概意思就是我们需要这些软件,Flutter推荐你用brew命令进行安装。

我们可以直接在终端里输入下列命令(每输完一个都要等一会,等待软件包安装完成)

brew install --HEAD libimobiledevice
brew install ideviceinstaller
brew install ios-deploy
brew install cocoapods
pod setup
复制代码

安装完这些,我大概花了1个半小时左右,我这是百兆光纤还加了梯子。

这个大问题解决以后,我们还需要为Android Studio安装一下Flutter插件(这个有可能你安装过,如果出现下面的提示,说明你还没有安装)

✗ Flutter plugin not installed; this adds Flutter specific functionality.
✗ Dart plugin not installed; this adds Dart specific functionality.
复制代码

打开Android Stuido 软件,然后找到Plugin的配置,搜索Flutter插件。

 

alt

 

 

出现上图,点中间的Search in repositories,然后点击安装。

 

alt

 

 

安装完成后,你需要重新启动一下Android Studio软件。

我做到这里环境就全部OK了,只有一个没有找到调试设备了,因为我没有调试的手机硬件,所以出现这个提示,不用管它。

[!] Connected devices
    ! No devices available
复制代码

Pub源的配置

如果你没有梯子,因为人人都知道的一个原因,还需要在环境变量里配置一下Pub源,不然你是无法进行使用的。

运行:

vim ~/.bash_profile
复制代码

增加两行配置

export PUB_HOSTED_URL=https://pub.flutter-io.cn
export FLUTTER_STORAGE_BASE_URL=https://storage.flutter-io.cn
复制代码

重新加载环境变量

source ~/.bash_profile
复制代码

希望大家都能安装成功,这只是我的安装过程,不敢保证全部正确,但是我尽量详细的描述了我Mac的搭建过程,希望可以帮助到Flutter的爱好者。

转载自:
作者:技术胖
链接:https://juejin.im/post/5bd94c0ef265da395232102b
来源:掘金

没有更多推荐了,返回首页